Loading...
Searching...
No Matches
proxy.h File Reference
Core API » Proxy

pipewire/proxy.h More...

Go to the source code of this file.

## Data Structures

struct | pw_proxy_events
| Proxy events, use pw_proxy_add_listener. More...

## Macros

#define | PW_VERSION_PROXY_EVENTS 1
#define | pw_proxy_notify(p, type, event, version, ...)
#define | pw_proxy_call(p, type, method, version, ...)
#define | pw_proxy_call_res(p, type, method, version, ...)

## Functions

struct pw_proxy * | pw_proxy_new (struct pw_proxy *factory, const char *type, uint32_t version, size_t user_data_size)
| Create a proxy object with a given id and type.
void | pw_proxy_add_listener (struct pw_proxy *proxy, struct spa_hook *listener, const struct pw_proxy_events *events, void *data)
| Add an event listener to proxy.
void | pw_proxy_add_object_listener (struct pw_proxy *proxy, struct spa_hook *listener, const void *funcs, void *data)
| Add a listener for the events received from the remote object.
void | pw_proxy_destroy (struct pw_proxy *proxy)
| destroy a proxy
void | pw_proxy_ref (struct pw_proxy *proxy)
void | pw_proxy_unref (struct pw_proxy *proxy)
void * | pw_proxy_get_user_data (struct pw_proxy *proxy)
| Get the user_data.
uint32_t | pw_proxy_get_id (struct pw_proxy *proxy)
| Get the local id of the proxy.
const char * | pw_proxy_get_type (struct pw_proxy *proxy, uint32_t *version)
| Get the type and version of the proxy.
struct pw_protocol * | pw_proxy_get_protocol (struct pw_proxy *proxy)
| Get the protocol used for the proxy.
int | pw_proxy_sync (struct pw_proxy *proxy, int seq)
| Generate an sync method for a proxy.
int | pw_proxy_set_bound_id (struct pw_proxy *proxy, uint32_t global_id)
| Set the global id this proxy is bound to.
uint32_t | pw_proxy_get_bound_id (struct pw_proxy *proxy)
| Get the global id bound to this proxy of SPA_ID_INVALID when not bound to a global.
int | pw_proxy_error (struct pw_proxy *proxy, int res, const char *error)
| Generate an error for a proxy.
int | pw_proxy_errorf (struct pw_proxy *proxy, int res, const char *error,...)
struct spa_hook_list * | pw_proxy_get_object_listeners (struct pw_proxy *proxy)
| Get the listener of proxy.
const struct pw_protocol_marshal * | pw_proxy_get_marshal (struct pw_proxy *proxy)
| Get the marshal functions for the proxy.
int | pw_proxy_install_marshal (struct pw_proxy *proxy, bool implementor)
| Install a marshal function on a proxy.

## Detailed Description

pipewire/proxy.h